Summary:	A program for synchronizing files over a network
Name:		rsync
Version: 	2.6.6
Release:	%mkrel 1
Group:		Networking/File transfer
URL:		http://rsync.samba.org/
Source0:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}.tar.gz
Source1:	rsync.html
Source2:	rsyncd.conf.html
Source3:	rsync.xinetd
Source4:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}.tar.gz.asc
Patch0:		rsync-2.6.3pre1-draksync.patch.bz2

# > I am trying to update our rpm to rsync 2.6.6 but one of the test
# > failed with this patch.
# From Wayne Davison <wayned@samba.org>
# This revealed that the acls patch was not properly reporting what files
# were being updated when acls were not being preserved.  The attached
# patch should fix this.
Patch1: rsync-acl-fix.patch.bz2
License:	GPL
BuildRequires:	popt-devel
BuildRequires:  libacl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define apply_patches 1

%{?_with_patches:%define apply_patches 1}
%{?_without_patches:%define apply_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.
%if %apply_patches
This rpm has this patches apply from rsync tree:
  - acl: allow to mirror acl
  - backup-dir-dels: availlibility to store backup file in another directory

Rebuild the source rpm with `--without patches' if you don't  want this patches
%endif

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1 -b .draksync
%if %apply_patches
%__patch -p0 -b -z .dir-del < patches/backup-dir-dels.diff
%__patch -p0 -b -z .acl < patches/acls.diff
%patch1 -p0 -b .acl-fix
%endif

%build
%__autoconf
%__autoheader
%serverbuild
rm -f config.h

%configure2_5x \
    --with-acl-support

# hack around bug in rsync configure.in
#echo '#define HAVE_INET_NTOP 1' >> config.h
#echo '#define HAVE_INET_PTON 1' >> config.h

%make proto
%make

%check
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}{%{_bindir},%{_mandir}/{man1,man5}}

%makeinstall

install -m644 %{SOURCE1} %{SOURCE2} .
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/xinetd.d/rsync

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc tech_report.tex README *html
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_bindir}/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*

%changelog
* Thu Jul 28 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.6-1mdk
- 2.6.6
- remove patch1, no longer need
- add --with --w/o patches options
- don't apply patches, test failed with acl patches (reported on the ML)

* Thu Jun  9 2005 Frederic Lepied <flepied@mandriva.com> 2.6.5-2mdk
- removed patch2 (not needed)

* Thu Jun  9 2005 Frederic Lepied <flepied@mandriva.com> 2.6.5-1mdk
- rediff patch2
- new release

* Wed Jun 08 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.4-2mdk
- apply 2 patches provide by rsync
- so fix #13854

* Wed May 04 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.4-1mdk
- 2.6.4
- make test in %%check

* Wed Nov 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.3-1mdk
- 2.6.3 final
 
* Wed Aug 18 2004 Warly <warly@mandrakesoft.com> 2.6.3-0.pre1.1mdk
- new version to fix security issue

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.2-2mdk
- security fix for CAN-2004-0426 (patch3) (Stew Benedict)
- misc spec file fixes

* Sat May 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.2-1mdk
- 2.6.2
- P2 from fedora:
	o Backport fix for crasher when passing multiple directories of the same
	  length (bug #123708)
- spec cosmetics

* Thu Jan  8 2004 Warly <warly@mandrakesoft.com> 2.6.0-1mdk
- new version

* Thu Dec  4 2003 Warly <warly@mandrakesoft.com> 2.5.7-1mdk
- new version (security fix)

* Wed Aug 20 2003 Warly <warly@mandrakesoft.com> 2.5.6-3mdk
- replace nobody group with nogroup

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5.6-2mdk
- rebuild
- macroize

* Thu Feb  6 2003 Warly <warly@mandrakesoft.com> 2.5.6-1mdk
- new version

* Sat Aug 10 2002 Pixel <pixel@mandrakesoft.com> 2.5.5-5mdk
- rsync.xinetd: fix description (thanks to allen <aef@prismnet.com>)

* Sun Jun 16 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.5-4mdk
- Fix chgrp.test (make test should now finally work).

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.5-3mdk
- Fix testsuite. Some tests will incorrectly fail if we don't already have
  an rsync binary installed on the system.

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.5.5-2mdk
- Automated rebuild in gcc3.1 environment

* Tue Apr 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.5-1mdk
- new release
- spec simplifications

* Thu Mar 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.5.4-2mdk
- draksync patch

* Tue Mar 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.5.4-1mdk
- 2.5.4 (aka fix the security fix)

* Mon Mar 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.5.3-1mdk
- 2.5.3

* Wed Feb 27 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.5.2-4mdk
- recompiled with %%serverbuild

* Sat Feb  9 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.5.2-3mdk
- back to internal zlib as it's a non compatible one.

* Fri Feb  8 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.5.2-2mdk
- use dynamic zlib

* Sun Jan 27 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.5.2-1mdk
- 2.5.2

* Tue Jan  8 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.5.1-1mdk
- 2.5.1

* Tue Dec  4 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.5.0-2mdk
- fix build on alpha (and perhaps other platforms) by working
  around bug in configure.in that causes HAVE_INET_NTOP not to be 
  defined.
- do not pass CCOPTFLAGS to make
- use %%make
- use %%configure2_5x to pass --build/--host/--target

* Mon Dec  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.5.0-1mdk
- 2.5.0

* Wed Oct 17 2001 Warly <warly@mandrakesoft.com> 2.4.6-4mdk
- rpmlint fixes

* Sun Oct 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.6-3mdk
- Add xinetd support.

* Sat Sep 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.6-2mdk
- do nothing really but rebuild, to fix rsync segfault breakage 
  (David Baudens).
  
* Thu Sep 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.6-1mdk
- s|2.4.5|2.4.6|;

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.5-1mdk
- a new and shiny version.

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.4-1mdk
- new verison
- rebuild for the BM
- remove stripping of binary (doh!!)

* Mon Jul 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.3-2mdk
- makeinstall macro
- macroszifications

* Fri May 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.4.1-2mdk
- Fix Group.

* Tue Feb 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.4.1-1mdk
- updated to 2.4.1

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.3.1.
- Add some documentation.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- update to 2.3.1.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.0.

* Sat Mar 13 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.0 beta.

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.1.1

* Mon Aug 17 1998 Erik Troan <ewt@redhat.com>
- updated to 2.1.0

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- buildrooted and attr-rophied
- removed tech-report.ps; the .tex should be good enough

* Mon Aug 25 1997 John A. Martin <jam@jamux.com>
- Built 1.6.3-2 after finding no rsync-1.6.3-1.src.rpm although there
  was an ftp://ftp.redhat.com/pub/contrib/alpha/rsync-1.6.3-1.alpha.rpm
  showing no packager nor signature but giving 
  "Source RPM: rsync-1.6.3-1.src.rpm".
- Changes from 1.6.2-1 packaging: added '$RPM_OPT_FLAGS' to make, strip
  to '%build', removed '%prefix'.

* Thu Apr 10 1997 Michael De La Rue <miked@ed.ac.uk>
- rsync-1.6.2-1 packaged.  (This entry by jam to credit Michael for the
  previous package(s).)
